Results 1 to 2 of 2

Thread: Legend of Zelda - Skyward Sword - Compatability Question

  1. #1
    New Member
    Join Date
    Dec 2011
    Posts
    2
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Legend of Zelda - Skyward Sword - Compatability Question

    Hi guys

    Following some wonderfully sagacious advice on this website I updated my Wii which had been languishing in a far corner gathering dust (via an original disc of EA Active 2) and this took me from 3.2e to 4.2e, since then I have been able to play backups of Goldeneye, New Super Mario Bros, Just Dance 3 but any attempt to play Donkey Kong or Zelda Skyward Sword prompts me to perform another software update.

    The Wii is only hard modded as I donít have any of the equipment necessary to perform a soft mod, SD card, reader etc although I am willing to purchase if this is the only way I can play the above games, so there is my question, is soft modding and loading via USB the only way I can play Zelda & DK?

    Appreciate your time and assistance

    Muchos Thanks

  2. #2
    Member
    WiiHacks Staff
    VWA
    Moderator
    Only Site Donators Can PM Staff
    playerkp420's Avatar
    Join Date
    Jan 2010
    Posts
    2,178
    Thanks
    223
    Thanked 489 Times in 428 Posts
    I would suggest the softmod. You need the new IOS that comes with the 4.3 update to play those games. If you follow the softmod any wii guide, you will end up on 4.1 and region free will be restored, and you will have updated all IOS to play new games via disc or usb.

    Or I think you can update to 4.3 and update your modchip from their website. But you will lose region free. Plus if you softmod you will have homebrew channel to use a lot more stuff on your wii. Like emulators and other apps.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •